## tplink-omada-client 1.4.4

=== requirements.txt ===
aiohttp==3.9.3
#async_timeout==4.0.2
#attrs==21.2.0
awesomeversion==22.9.0
#bcrypt==3.1.7
#certifi>=2021.5.30
#ciso8601==2.2.0
#ifaddr==0.1.7
#lru-dict==1.1.8
#cryptography==37.0.4
#orjson==3.7.11
#pip>=21.0,<22.3
#python-slugify==4.0.1
#typing-extensions>=3.10.0.2,<5.0
#yarl==1.7.2

## tplink-omada-client 1.4.1

=== debian/changelog ===
tplink-omada-client (1.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1077469)

 -- Edward Betts <edward@4angle.com>  Mon, 29 Jul 2024 16:22:45 +0900

=== debian/control ===
Source: tplink-omada-client
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hatchling,
               python3-pytest <!nocheck>,
               python3-pytest-aiohttp <!nocheck>,
               python3-awesomeversion <!nocheck>,
               python3-aiohttp <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/MarkGodwin/tplink-omada-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/tplink-omada-client
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/tplink-omada-client.git

Package: python3-tplink-omada-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Client for TP-Link Omada SDN Controller API
 This library provides a Python client for interacting with the API of TP-Link
 Omada SDN controllers, including OC200, OC300, and Software Controller. It
 supports functionalities like automatic login, retrieving basic controller
 information, and listing sites and devices such as access points, gateways,
 and switches. Users can also get firmware details, initiate updates, and
 manage port configurations for connected devices. The library offers
 capabilities for WAN port control, including connect and disconnect actions.
 Designed to work with multiple controller versions, it simplifies managing and
 monitoring network hardware deployed in various environments

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tplink-omada-client
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tplink_omada_client.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-pytest-aiohttp, @

## tplink-omada-client 1.4.2

=== debian/changelog ===
tplink-omada-client (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Thu, 15 Aug 2024 19:43:36 +0100

tplink-omada-client (1.4.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 06 Aug 2024 05:10:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf tplink_omada_client.egg-info/
-

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-aiohttp,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tplink-omada-client-$1\.tar\.gz/ \
  https://github.com/MarkGodwin/tplink-omada-api/tags .*/v?(\d\S+)\.tar\.gz

## tplink-omada-client 1.4.3

=== debian/changelog ===
tplink-omada-client (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 04 Oct 2024 16:12:56 +0100

## tplink-omada-client 1.4.4

=== debian/changelog ===
tplink-omada-client (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/watch.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Thu, 23 Jan 2025 15:03:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: tplink-omada-client
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-hatchling,
-               python3-pytest <!nocheck>,
-               python3-pytest-aiohttp <!nocheck>,
-               python3-awesomeversion <!nocheck>,
-               python3-aiohttp <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-hatchling,
+Build-Depends-Indep:
+ python3-aiohttp <!nocheck>,
+ python3-awesomeversion <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-aiohttp <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/MarkGodwin/tplink-omada-api
@@ -20,7 +23,9 @@
 
 Package: python3-tplink-omada-client
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Client for TP-Link Omada SDN Controller API
  This library provides a Python client for interacting with the API of TP-Link
  Omada SDN controllers, including OC200, OC300, and Software Controller. It

=== debian/watch ===
version=4
https://github.com/MarkGodwin/tplink-omada-api/tags .*/v?(\d\S+)\.tar\.gz

## tplink-omada-client 1.5.3

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-aiohttp==3.9.3
+aiohttp==3.12.2
 #async_timeout==4.0.2
 #attrs==21.2.0
-awesomeversion==22.9.0
+awesomeversion==25.8.0
 #bcrypt==3.1.7
 #certifi>=2021.5.30
 #ciso8601==2.2.0

=== debian/changelog ===
tplink-omada-client (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Sat, 13 Dec 2025 17:44:54 +0000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
  python3-awesomeversion <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-aiohttp <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/MarkGodwin/tplink-omada-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/tplink-omada-client
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/tplink-omada-client.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-tplink-omada-client
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: MarkGodwin
Project: tplink-omada-api
